<%@ page language="C#" %>
<%@ import namespace="System.Data" %>
<%@ import namespace="System.Data.SqlClient" %>
<script runat="server">
    // <%@ outputcache duration="9999" varybyparam="none" sqldependency="CommandNotification" %>
    
    void Page_Load(object sender, System.EventArgs e)
    {
        TimeLabel.Text = DateTime.Now.ToString();

        SqlConnection conn = new SqlConnection(ConfigurationManager.ConnectionStrings["NorthwindConnectionString"].ConnectionString);
        SqlCommand cmd = new SqlCommand("SELECT CategoryID, CategoryName FROM dbo.[Categories]", conn);
        
        SqlCacheDependency categoryDependency = new SqlCacheDependency(cmd);
        
        conn.Open();
        
        GridView1.DataSource = cmd.ExecuteReader();
        GridView1.DataBind();
        
        conn.Close();

        Response.AddCacheDependency(categoryDependency);
        Response.Cache.SetValidUntilExpires(true);
        Response.Cache.SetExpires(DateTime.Now.AddMinutes(60));
        Response.Cache.SetCacheability(HttpCacheability.Public);
    }
    
</script>

<html>
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form runat="server">
        <asp:label id="TimeLabel" runat="server">
        </asp:label>
        <br />
        <asp:gridview id="GridView1" runat="server" autogeneratecolumns="False"
            datakeynames="CategoryID">
            <pagerstyle forecolor="#000066" horizontalalign="Left" backcolor="White">
            </pagerstyle>
            <Columns>
                <asp:boundfield sortexpression="CategoryID" datafield="CategoryID" readonly="True"
                    headertext="CategoryID">
                </asp:boundfield>
                <asp:boundfield sortexpression="CategoryName" datafield="CategoryName" headertext="CategoryName">
                </asp:boundfield>
            </Columns>
            <selectedrowstyle forecolor="White" backcolor="#669999" font-bold="True">
            </selectedrowstyle>
            <rowstyle forecolor="#000066">
            </rowstyle>
            <footerstyle forecolor="#000066" backcolor="White">
            </footerstyle>
            <headerstyle forecolor="White" backcolor="#006699" font-bold="True">
            </headerstyle>
        </asp:gridview>

    </form>
</body>
</html>
