using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

/// <summary>
/// Summary description for Globals
/// </summary>
public class Globals
{
    static Globals()
    {
        DefaultCacheSeconds = Int32.Parse(ConfigurationManager.AppSettings["DefaultCacheSeconds"].ToString());
        CacheDuration = new TimeSpan(0, 0, DefaultCacheSeconds);
    }

    private static int defaultCacheSeconds = 0;
    private static TimeSpan cacheDuration;

    public static TimeSpan CacheDuration
    {
        get { return cacheDuration; }
        set { cacheDuration = value; }
    }

    public static int DefaultCacheSeconds
    {
        get { return defaultCacheSeconds; }
        set { defaultCacheSeconds = value; }
    }

}
