﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="OutputCaching.aspx.cs" Inherits="OutputCaching" %>
<%@ OutputCache Duration="99999" VaryByParam="none" 
SqlDependency="CommandNotification" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Untitled Page</title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <b>Page Time: <%=DateTime.Now.ToString() %></b>
        <asp:GridView ID="GridView1" runat="server" AutoGenerateColumns="False" DataSourceID="SqlDataSource1">
            <Columns>
                <asp:BoundField DataField="CategoryID" HeaderText="CategoryID" SortExpression="CategoryID" />
                <asp:BoundField DataField="CategoryName" HeaderText="CategoryName" SortExpression="CategoryName" />
                <%--<asp:BoundField DataField="Description" HeaderText="Description" SortExpression="Description" /> --%>
            </Columns>
        </asp:GridView>
        <%--
        Note: Selecting Description will make this an invalid query for sql dependency purposes, and the result will
        be that the command notification will be received immediately, and no caching will occur.
        --%>
        <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            SelectCommand="SELECT CategoryID, CategoryName FROM dbo.[Categories] where categoryid < 5"></asp:SqlDataSource>
    
    <%--
    BAD COMMAND:
            <asp:SqlDataSource ID="SqlDataSource1" runat="server" 
        ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
            SelectCommand="SELECT CategoryID, CategoryName, Description FROM dbo.[Categories] where categoryid < 5"></asp:SqlDataSource>

    
    --%>
    </div>
    </form>
</body>
</html>
