using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page
{
    string cacheKey = "dateTest";

    protected void Page_Load(object sender, EventArgs e)
    {
        DateLabel.Text = GetDate();
    }

    protected string GetDate()
    {
        object cacheValue = Cache[cacheKey];
        if (cacheValue == null)
        {
            string testUrl = "http://localhost/";

            UrlCacheDependency dep = new UrlCacheDependency(testUrl);
            cacheValue = DateTime.Now;
            Cache.Insert(cacheKey, cacheValue, dep);
        }
        return cacheValue.ToString();
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        Cache.Remove(cacheKey);
    }
}
